/*
 * GkSu -- Gtk+ Frontend to su
 * Copyright (C) 2002 Gustavo Noronha Silva
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef  __GKSU_H__
#define __GKSU_H__

void help (gchar *cmdname);
void free_pass (gchar *pass);

typedef struct _GkConf GkConf;

/**
 * GkConf:
 * @xauth: the X authorization token
 * @xauth_file: the absolute name for the .Xauthority file
 * @display: storage for the DISPLAY environment variable
 * @dir: dir name where xauth_file will be
 * @dir_template: immutable pre-string for @dir
 * @title: the title of the window which asks for password
 * @message: the label to be put at the window which asks for 
 * password
 * @icon: path for the icon the window will use
 * @user: user gksu will switch to
 * @command: which command to run with su
 * @login_shell: should run a login shell?
 * @keep_env: should the current environment be kept?
 * @grab: should gksu try to gra X keyboard and mouse?
 * @debug: show debug information?
 * @ssh_fwd: are we running inside a ssh X11 forwarding
 * tunnel?
 *
 * Structure to hold all configuration information, some
 * important environment variables and some meta-information
 * about mainly x authentication.
 *
 */
struct _GkConf
{
  gchar *xauth;
  gchar *xauth_file;

  gchar *display;

  gchar *dir;
  gchar *dir_template;

  gchar *title;
  gchar *message;
  gchar *icon;

  gchar *user;

  gchar *command;

  gboolean login_shell;
  gboolean keep_env;
  gboolean grab;

  gboolean debug;
  gboolean ssh_fwd;
};

#endif
